import ViewMessageService from '../view-message-service';
/**
 * 工作流动态导航视图消息服务对象基类
 *
 * @export
 * @class ViewMsg90MessageServiceBase
 */
export default class ViewMsg90MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg90MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg90MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg90MessageServiceBase
     */
    public initBasicParam(){
        this.id = "0BA1C8CC-185B-4D23-BE84-62A609CA76D9";
        this.name = "工作流动态导航";
        this.codename = "ViewMsg90";
        this.title = "";
        this.content = "本示例展示工作流动态导航视图：工作流动态导航表格视图左侧以树形结构展示流程的业务状态及审批步骤，通过业务及步骤在右侧展示了流程各节点的实体数据信息的表格视图。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg90MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}